Get inventory source connection profile
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sourceId": "<string>",
"endpoint": {
"label": "<string>",
"description": "<string>",
"value": "<string>",
"editable": true,
"allowedProtocols": [
"https"
],
"publicOnly": true
},
"authentication": {
"method": "<string>",
"configured": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get inventory source connection profile
Get customer-safe endpoint and credential-status facts derived from the inventory source provider connection contract.
GET
/
inventory-sources
/
{sourceId}
/
connection-profile
Get inventory source connection profile
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/connection-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sourceId": "<string>",
"endpoint": {
"label": "<string>",
"description": "<string>",
"value": "<string>",
"editable": true,
"allowedProtocols": [
"https"
],
"publicOnly": true
},
"authentication": {
"method": "<string>",
"configured": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1